Subject: Re: draft-narten-ipv6-3177bis-48boundary-02.txt

From: Brian E Carpenter <[email-masked]>
Date: Thu, 03 Aug 2006 16:03:53 +0200

Mark Smith wrote:
> Hi Kurtis,
> 
> On Tue, 25 Jul 2006 19:36:02 +0200
> Kurt Erik Lindqvist <[email-masked]> wrote:
> 
> 
>>On 25 jul 2006, at 12.16, Mark Smith wrote:
>>
>>
>>>Hi Kurtis,
>>>
> 
> <snip>
> 
>>There are two problems here. 1) I am pretty convinced that the IETF  
>>shouldn't be running address-policy for the ISPs. Especially since  
>>there are also complexity here that I am not sure we understand (i.e  
>>RIR -> LIR charging schemes).
> 
> 
> I agree with that. RFC3177 seems to be a IESG/IAB recommendation /
> Informational RFC. If ISPs / RIRs etc. don't follow the recommendation,
> then it's probably useful for the IETF to point out the technical pros
> and cons of their decision.

I think we have some responsibility beyond just pointing out pros
and cons. The reason I think that the /48 recommendation is OBE is
not that I think it's a mistake - but it's clear that (some) operators
and (some) registries are being very cautious about handing out IPv6
space and will feel more comfortable giving out /56. The vital thing
is to ensure that it isn't a /64.

     Brian
> 
> 
>>2) I am not advocating 5 subnets, nor  
>>am I in favour of 2^16. I am sure there is a middle ground and that  
>>we shouldn't carve it in stone.
>>
> 
> 
> My thoughs are to aim for simplicity and operational convenience.
> Giving everybody a /48 would make running IPv6 simple and operationally
> convenient for nearly every end-site to be or currently in existance.
> 
> 
>>>Along those lines, I'm curious what you (and other people who seem to
>>>be against /48s for end sites) think of the "excessive" 46 bits of
>>>address space that ethernet uses, when the reality is that no more  
>>>than
>>>12 bits of address space would probably have been plenty for the
>>>even the biggest LAN segments (I've seen one sadly) ? Bare in mind  
>>>that
>>>that addressing size decision was made around 1980, when even LAN
>>>segments with 4000 devices would have been inconceivable, so even 12
>>>bit addressing at the time would have seemed beyond "excessive".
>>
>>I could probably say a lot about the MAC addresses but this is the  
>>wrong SDO.
>>
> 
> 
> Fair enough. I was really only trying to prompt thinking about what
> simplicity and operational advantages have been gained from using
> "excess" address space in ethernet, when that amount of address space
> certainly wasn't necessary around 1980, and, based on the address
> management tasks people are performing with IPv4 successfully enough
> today, wouldn't be necessary now either. Operational and functional
> convenience was prioritised over necessity when the ethernet address
> size decision was made, and has paid many dividends.
> 
> Regards,
> Mark.
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------